vStreamBufferDelete

stream_buffer.h

    void vStreamBufferDelete( StreamBufferHandle_t xStreamBuffer );

Deletes a stream buffer that was previously created using a call to xStreamBufferCreate() or xStreamBufferCreateStatic(). If the stream buffer was created using dynamic memory (that is, by xStreamBufferCreate()), then the allocated memory is freed.

A stream buffer handle must not be used after the stream buffer has been deleted.

Parameters

  xStreamBuffer | The handle of the stream buffer to be deleted.